version: "3.7"

services:
  app:
    build:
      target: develop
    user: node
    userns_mode: keep-id:uid=1000,gid=1000
    environment:
      SSH_AUTH_SOCK: /.ssh/ssh-agent.sock
      MOCKUP: "false"
    command: /bin/sh -c "while sleep 2s; do :; done"
    volumes:
      - ..:/workspace/app:cached
      - ./.vscode-server:/home/node/.vscode-server/:cached
      - ${SSH_AUTH_SOCK}:/.ssh/ssh-agent.sock
    networks:
      - proxy-net
      - default

networks:
  default:
    driver: bridge
  proxy-net:
    external: true
    name: proxy-net
